# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/interrupt-controller/brcm,bcm2836-l1-intc.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: BCM2836 per-CPU interrupt controller

maintainers:
  - Stefan Wahren <wahrenst@gmx.net>
  - Raspberry Pi Kernel Maintenance <kernel-list@raspberrypi.com>

description:
  The BCM2836 has a per-cpu interrupt controller for the timer, PMU
  events, and SMP IPIs. One of the CPUs may receive interrupts for the
  peripheral (GPU) events, which chain to the BCM2835-style interrupt
  controller.

allOf:
  - $ref: /schemas/interrupt-controller.yaml#

properties:
  compatible:
    const: brcm,bcm2836-l1-intc

  reg:
    maxItems: 1

  interrupt-controller: true

  '#interrupt-cells':
    const: 2

required:
  - compatible
  - reg

additionalProperties: false

examples:
  - |
    local_intc: interrupt-controller@40000000 {
        compatible = "brcm,bcm2836-l1-intc";
        reg = <0x40000000 0x100>;
        interrupt-controller;
        #interrupt-cells = <2>;
        interrupt-parent = <&local_intc>;
    };
...
